Package org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedGetClassLoader

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedGetClassLoader

All Implemented Interfaces:
  `java.security.PrivilegedAction<java.lang.ClassLoader>`

Enclosing class:
  WebappClassLoaderBase

    protected static final class WebappClassLoaderBase.PrivilegedGetClassLoader
    extends java.lang.Object
    implements java.security.PrivilegedAction<java.lang.ClassLoader>

### Constructor Summary

Constructors
`PrivilegedGetClassLoader​(java.lang.Class<?> clazz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.ClassLoader` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivilegedGetClassLoader

    public PrivilegedGetClassLoader​(java.lang.Class<?> clazz)

### Method Detail

#### run

    public java.lang.ClassLoader run()

Specified by:
  `run` in interface `java.security.PrivilegedAction<java.lang.ClassLoader>`